Get one sourcing program
get
/fscmRestApi/resources/11.13.18.05/sourcingPrograms/{ProgramHeaderId}
Request
Path Parameters
-
ProgramHeaderId(required): integer(int64)
The value of this parameter could be a hash of the key that is used to uniquely identify the resource item. The client should not generate the hash key value. Instead, the client should query on the collection resource with a filter to navigate to a specific resource item. For example: products?q=InventoryItemId=
Query Parameters
-
dependency: string
This parameter specifies dependencies which are fields that are set before and rolled back after generating the response. Generally they are used to preview the effects of an attribute change. The fields specified in this parameter are always set in the resource instance in question. When a child resource collection is requested and the parameter is set, the fields will be set in the parent resource instance before generating the resource collection payload. The value of this query parameter is a set of dependency fields. Example: dependency=ProductId=2
Format: <attr1>=<val1>,<attr2>=<value2> -
expand: string
When this parameter is provided, the specified children are included in the resource payload (instead of just a link). The value of this query parameter is "all" or "". More than one child can be specified using comma as a separator. Example: ?expand=Employees,Localizations. Nested children can also be provided following the format "Child.NestedChild" (Example: ?expand=Employees.Managers). If a nested child is provided (Example: Employees.Managers), the missing children will be processed implicitly. For example, "?expand=Employees.Managers" is the same as "?expand=Employees,Employees.Managers" (which will expand Employees and Managers).
-
fields: string
This parameter filters the resource fields. Only the specified fields are returned, which means that if no fields are specified, no fields are returned (useful to get only the links). If an indirect child resource is provided (Example: Employees.Managers), the missing children will be processed implicitly. For example, "?fields=Employees.Managers:Empname" is the same as "?fields=;Employees:;Employees.Managers:Empname" (which will only return the "Empname" field for Managers). the value of this query parameter is a list of resource fields. The attribute can be a direct (Example: Employees) or indirect (Example: Employees.Managers) child. It cannot be combined with expand query parameter. If both are provided, only fields will be considered.
Format: ?fields=Attribute1,Attribute2
Format for fields in child resource: ?fields=Accessor1:Attribute1,Attribute2 -
links: string
This parameter can be used to show only certain links while accessing a singular resource or a resource collection. The parameter value format is a comma-separated list of : <link_relation>
Example:
self,canonical -
onlyData: boolean
The resource item payload will be filtered in order to contain only data (no links section, for example).
Header Parameters
-
Metadata-Context: string
If the REST API supports runtime customizations, the shape of the service may change during runtime. The REST client may isolate itself from these changes or choose to interact with the latest version of the API by specifying this header. For example: Metadata-Context:sandbox="TrackEmployeeFeature".
-
REST-Framework-Version: string
The protocol version between a REST client and service. If the client does not specify this header in the request the server will pick a default version for the API.
There's no request body for this operation.
Back to TopResponse
Supported Media Types
- application/json
Default Response
The following table describes the default response for this task.
Headers
-
Metadata-Context:
If the REST API supports runtime customizations, the shape of the service may change during runtime. The REST client may isolate itself from these changes or choose to interact with the latest version of the API by specifying this header. For example: Metadata-Context:sandbox="TrackEmployeeFeature".
-
REST-Framework-Version:
The protocol version between a REST client and service. If the client does not specify this header in the request the server will pick a default version for the API.
Root Schema : sourcingPrograms-item-response
Type:
Show Source
object-
CategoryId: integer
(int64)
Indicates the unique identifier of category.
-
CategoryName: string
Read Only:
trueMaximum Length:255Category name of the program. -
Comments: string
Maximum Length:
4000Comments provided while creating the program. -
CurrencyCode: string
Maximum Length:
15Base currency code in which the negotiation will be conducted. -
CurrentSpend: number
Current spend for which the program is created.
-
DisplayPhase: string
Maximum Length:
255Description of the program phase. -
DisplayStatus: string
Maximum Length:
255Description of the program status. -
EndDate: string
(date)
The date when the program ends.
-
GlobalProgramFlag: boolean
Maximum Length:
1Value that indicates if the program is global. -
links: array
Links
Title:
LinksThe link relations associated with the resource instance. -
ListName: string
Maximum Length:
301List name of the person in the program. -
PersonId: integer
(int64)
Identifier of the person who created the program.
-
PersonNameId: integer
(int64)
Read Only:
trueUnique identifier of the sourcing program owner. -
PhaseDisplayOrder: integer
Read Only:
trueSequence in which the program phase is displayed. -
ProcurementBUId: integer
(int64)
Unique identifier of the procurement business unit for which the program was created. It's populated only when the program isn't global.
-
ProgramHeaderId: integer
(int64)
Value that uniquely identifies the program.
-
ProgramPhase: string
Maximum Length:
20Determines phase of the program. -
ProgramStatus: string
Maximum Length:
30Determines status of the program. -
PurchasingCatFlag: boolean
Maximum Length:
1Indicates whether the category associated with the program is purchasing category. -
RateDate: string
(date)
Conversion date for the selected rate type.
-
RateType: string
Maximum Length:
30Rate type selected for the program. -
Savings: number
Savings amount that the program is trying to achieve.
-
SavingsPercent: number
Savings percentage that the program is trying to achieve.
-
sourcingProgramMembers: array
Sourcing Program Team Members
Title:
Sourcing Program Team MembersDetails about an organization's sourcing program and its associated team members. -
sourcingProgramObjectives: array
Sourcing Program Objectives
Title:
Sourcing Program ObjectivesDetails about an organization's sourcing program and its associated objectives. -
StartDate: string
(date)
Date when the program starts.
-
Synopsis: string
Maximum Length:
4000Program synopsis as defined by the user. -
TargetSpend: number
Target spend that the program is trying to achieve.
-
Title: string
Maximum Length:
80Program title defined by the user.
Nested Schema : Links
Type:
arrayTitle:
LinksThe link relations associated with the resource instance.
Show Source
Nested Schema : Sourcing Program Team Members
Type:
arrayTitle:
Sourcing Program Team MembersDetails about an organization's sourcing program and its associated team members.
Show Source
Nested Schema : Sourcing Program Objectives
Type:
arrayTitle:
Sourcing Program ObjectivesDetails about an organization's sourcing program and its associated objectives.
Show Source
Nested Schema : link
Type:
Show Source
object-
href: string
Title:
hyperlink referenceThe URI to the related resource. -
kind: string
Title:
kindAllowed Values:[ "collection", "item", "describe", "other" ]The kind of the related resource. -
name: string
Title:
nameThe name of the link to the related resource. -
properties: object
properties
-
rel: string
Title:
relationAllowed Values:[ "self", "lov", "parent", "canonical", "child", "enclosure", "action", "custom" ]The name of the relation to the resource instance. Example: self.
Nested Schema : properties
Type:
Show Source
object-
changeIndicator: string
Change indicator or the ETag value of the resource instance.
Nested Schema : sourcingPrograms-sourcingProgramMembers-item-response
Type:
Show Source
object-
AccessType: string
Read Only:
trueMaximum Length:255Determines the access level of the team member. -
AccessTypeCode: string
Maximum Length:
30Value that identifies the agent access for the lookup code. Valid value is MANAGE_NEGOTIATIONS. -
DisplayName: string
Title:
NameRead Only:trueMaximum Length:240Display name of the program team member. -
links: array
Links
Title:
LinksThe link relations associated with the resource instance. -
MemberType: string
Maximum Length:
1Value that identifies the program team member type. -
Note: string
Maximum Length:
4000Note entered for the program team member. -
ObjectVersionNumber: integer
(int32)
Used to implement optimistic locking. This number is incremented every time that the row is updated. The number is compared at the start and end of a transaction to detect whether another session has updated the row since it was queried.
-
PersonId: integer
(int64)
Value that uniquely identifies the program team member name.
-
PersonNameId: integer
(int64)
Read Only:
trueValue that uniquely identifies the name of the program team member. -
ProgramHeaderId: integer
(int64)
Unique identifier for the program header in the program.
-
TeamMemberId: integer
(int64)
Value that uniquely identifies the program team member name.
Nested Schema : Links
Type:
arrayTitle:
LinksThe link relations associated with the resource instance.
Show Source
Nested Schema : sourcingPrograms-sourcingProgramObjectives-item-response
Type:
Show Source
object-
CategoryId: integer
(int64)
Unique identifier of the category.
-
CreationDate: string
(date-time)
Read Only:
trueDate and time the objective row was created. -
CurrentSpend: number
Sum of the current Amount of all award completed negotiations within the objective.
-
Description: string
Maximum Length:
4000Description of the objective. -
EndDate: string
(date)
Date when the objective ends.
-
links: array
Links
Title:
LinksThe link relations associated with the resource instance. -
Name: string
Maximum Length:
80Name of the objective. -
ObjectiveHeaderId: integer
(int64)
Value that uniquely identifies the objective.
-
ObjectiveType: string
Maximum Length:
30Description of the objective type. -
ProgramHeaderId: integer
(int64)
Unique identifier for the program header in the program.
-
PurchasingCatFlag: boolean
Maximum Length:
1Value that indicates if the category associated with the program is purchasing category. -
RemainingTargetSpend: number
Value that indicates that target spend amount hasn't been allocated to the negotiation
-
RollUpFlag: boolean
Maximum Length:
1Value that indicates whether the savings and spend values of the objective's negotiations will be counted for program level spend and savings. -
Savings: number
Savings amount that the program is trying to achieve.
-
SavingsPercent: number
Savings percentage that the program is trying to achieve.
-
sourcingProgramNegotiations: array
Sourcing Program Objective Negotiations
Title:
Sourcing Program Objective NegotiationsDetails about an organization's sourcing program and its associated negotiations. -
StartDate: string
(date)
Date when the objective starts.
-
Status: string
Maximum Length:
30Description of the objective status. -
TargetSpend: number
Target spend that the program is trying to achieve.
-
TotalPlannedCurrentSpend: number
Sum of all the negotiation current amounts of objectives.
-
TotalPlannedSavingGoal: number
Read Only:
truePlanned Savings Goal of all award completed negotiations within the objective. -
TotalPlannedSavingGoalPercent: number
Savings percentage that the program is trying to achieve.
-
TotalPlannedTargetSpend: number
Sum of Negotiation Target Spend for all the objectives.
Nested Schema : Links
Type:
arrayTitle:
LinksThe link relations associated with the resource instance.
Show Source
Nested Schema : Sourcing Program Objective Negotiations
Type:
arrayTitle:
Sourcing Program Objective NegotiationsDetails about an organization's sourcing program and its associated negotiations.
Show Source
Nested Schema : sourcingPrograms-sourcingProgramObjectives-sourcingProgramNegotiations-item-response
Type:
Show Source
object-
AuctionHeaderId: integer
(int64)
Value that uniquely identifies the negotiation.
-
AwardAmount: number
Award amount identified in the objective.
-
CreatedBy: string
Read Only:
trueMaximum Length:64User who created the objective row. -
links: array
Links
Title:
LinksThe link relations associated with the resource instance. -
ObjectiveHeaderId: integer
(int64)
Value that uniquely identifies the objective.
-
ObjectiveNegotiationId: integer
(int64)
Value that uniquely identifies the objective negotiation mapping.
-
ObjectVersionNumber: integer
(int32)
Used to implement optimistic locking. This number is incremented every time that the row is updated. The number is compared at the start and end of a transaction to detect whether another session has updated the row since it was queried.
-
OverrideFlag: boolean
Maximum Length:
1Value that indicates if the planned values are overridden manually. -
PlannedCurrentSpend: number
Sum of all the negotiation current amounts of objectives.
-
PlannedSavings: number
Savings amount that the program is trying to achieve.
-
PlannedSavingsPercent: number
Savings percentage that the program is trying to achieve.
-
PlannedTargetSpend: number
Sum of Negotiation Target Spend for all the objectives.
-
PlannedTitle: string
Maximum Length:
80Title for the manual contributions added to the objective. -
ProgramHeaderId: integer
(int64)
Unique identifier for the program header in the program.
Nested Schema : Links
Type:
arrayTitle:
LinksThe link relations associated with the resource instance.
Show Source
Links
- sourcingProgramMembers
-
Operation: /fscmRestApi/resources/11.13.18.05/sourcingPrograms/{ProgramHeaderId}/child/sourcingProgramMembersParameters:
- ProgramHeaderId:
$request.path.ProgramHeaderId
Details about an organization's sourcing program and its associated team members. - ProgramHeaderId:
- sourcingProgramObjectives
-
Parameters:
- ProgramHeaderId:
$request.path.ProgramHeaderId
Details about an organization's sourcing program and its associated objectives. - ProgramHeaderId: